Get Webhooks

View as Markdown
Retrieves a list of webhook events based on an `eventID` filter. You can apply filters to narrow down the response. Supported `eventID` values: - `ORDER_CREATED` - `ORDER_PROCESSING` - `ORDER_PAYMENT_VERIFYING` - `ORDER_COMPLETED` - `ORDER_FAILED` - `ORDER_CANCELLED` <Callout intent="note"> To fetch relevant data, provide `orderID` along with the `eventID` filter. </Callout>

Headers

x-api-keystringRequired
Your Partner API key. You can find this in the [Partner Dashboard](https://docs.transak.com/guides/how-to-create-partner-dashboard-account#open-the-developers-section).
access-tokenstringRequired

Your Partner Access Token. Please refer here for a tutorial on generating your access token.

Query parameters

eventIDstringOptional

Filter by event id (ORDER_COMPLETED, ORDER_CANCELLED, ORDER_CREATED, ORDER_FAILED, ORDER_PROCESSING,ORDER_PAYMENT_VERIFYING))

orderIDstringOptional
Filter by order id
limitintegerOptionalDefaults to 100
limits the number of records returned.
skipintegerOptionalDefaults to 0
skip omits the specified number of returned records
startDatestringOptional

startDate in YYYY-MM-DD format. Filters by createdAt from this date.

endDatestringOptional

endDate in YYYY-MM-DD format. Filters by createdAt up to this date.

statusstringOptional

Filter by delivery outcome. Supported values are success and failed.

Response

200
metaobjectOptional
Only includes the filters that were actually applied.
datalist of objectsOptional

Errors

400
Bad Request Error
401
Unauthorized Error